<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_281) on Tue Jun 01 09:22:37 CEST 2021 -->
<title>ModbusAccessor</title>
<meta name="date" content="2021-06-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ModbusAccessor";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/ModbusAccessor.html" target="_top">Frames</a></li>
<li><a href="ModbusAccessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.field</div>
<h2 title="Class ModbusAccessor" class="title">Class ModbusAccessor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.net.Socket</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.field.ModbusAccessor</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ModbusAccessor</span>
extends java.net.Socket</pre>
<div class="block">This class offers the possibility to read/write
 boolean and float value of the provided Modbus
 server, using TCP/IP protocol.
 This uses a singleton pattern.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Vincent Savioz</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Get the only instance of this class</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Main.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#readCoil-int-">readCoil</a></span>(int&nbsp;address)</code>
<div class="block">Read the value of a coil with the provided address.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#readRegister-int-">readRegister</a></span>(int&nbsp;address)</code>
<div class="block">Read the register at the provided address</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#writeCoil-int-boolean-">writeCoil</a></span>(int&nbsp;address,
         boolean&nbsp;value)</code>
<div class="block">Write the provided value on the coil (represented by the
 provided value)</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#writeRegister-int-float-">writeRegister</a></span>(int&nbsp;address,
             float&nbsp;value)</code>
<div class="block">Write the provided float value in the register at the
 provided address.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.net.Socket">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.net.Socket</h3>
<code>bind, close, connect, connect, getChannel, getInetAddress, getInputStream, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a>&nbsp;getInstance()
                                  throws java.io.IOException</pre>
<div class="block">Get the only instance of this class</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The only instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="readCoil-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readCoil</h4>
<pre>public&nbsp;boolean&nbsp;readCoil(int&nbsp;address)
                 throws java.lang.NullPointerException,
                        <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Read the value of a coil with the provided address.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - The address of the register</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The boolean value of the register</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code></dd>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeCoil-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeCoil</h4>
<pre>public&nbsp;boolean&nbsp;writeCoil(int&nbsp;address,
                         boolean&nbsp;value)
                  throws java.lang.NullPointerException,
                         <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Write the provided value on the coil (represented by the
 provided value)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - The register address</dd>
<dd><code>value</code> - The desired boolean value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the write operation was successful.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code></dd>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="readRegister-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readRegister</h4>
<pre>public&nbsp;float&nbsp;readRegister(int&nbsp;address)
                   throws <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Read the register at the provided address</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - The register starting address</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The read float value</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeRegister-int-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeRegister</h4>
<pre>public&nbsp;boolean&nbsp;writeRegister(int&nbsp;address,
                             float&nbsp;value)
                      throws <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Write the provided float value in the register at the
 provided address.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - The register address</dd>
<dd><code>value</code> - The desired value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if write operation was successful</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">Main. For test purpose only.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/ModbusAccessor.html" target="_top">Frames</a></li>
<li><a href="ModbusAccessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
